Package org.optaplanner.benchmark.config.report

## Class BenchmarkReportConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<BenchmarkReportConfig>
  - - org.optaplanner.benchmark.config.report.BenchmarkReportConfig

-     public class BenchmarkReportConfig
      extends AbstractConfig<BenchmarkReportConfig>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BenchmarkReportConfig()` |
    `BenchmarkReportConfig​(BenchmarkReportConfig inheritedConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BenchmarkReport` | `buildBenchmarkReport​(PlannerBenchmarkResult plannerBenchmark)` |
    `BenchmarkReportConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `Locale` | `determineLocale()` |
    `Locale` | `getLocale()` |
    `Class<? extends Comparator<SolverBenchmarkResult>>` | `getSolverRankingComparatorClass()` |
    `SolverRankingType` | `getSolverRankingType()` |
    `Class<? extends SolverRankingWeightFactory>` | `getSolverRankingWeightFactoryClass()` |
    `BenchmarkReportConfig` | `inherit​(BenchmarkReportConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setLocale​(Locale locale)` |
    `void` | `setSolverRankingComparatorClass​(Class<? extends Comparator<SolverBenchmarkResult>> solverRankingComparatorClass)` |
    `void` | `setSolverRankingType​(SolverRankingType solverRankingType)` |
    `void` | `setSolverRankingWeightFactoryClass​(Class<? extends SolverRankingWeightFactory> solverRankingWeightFactoryClass)` |
    `protected void` | `supplySolverRanking​(BenchmarkReport benchmarkReport)` |

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BenchmarkReportConfig

          public BenchmarkReportConfig()

    - #### BenchmarkReportConfig

          public BenchmarkReportConfig​(BenchmarkReportConfig inheritedConfig)

  - ### Method Detail

    - #### getLocale

          public Locale getLocale()

    - #### setLocale

          public void setLocale​(Locale locale)

    - #### getSolverRankingType

          public SolverRankingType getSolverRankingType()

    - #### setSolverRankingType

          public void setSolverRankingType​(SolverRankingType solverRankingType)

    - #### getSolverRankingComparatorClass

          public Class<? extends Comparator<SolverBenchmarkResult>> getSolverRankingComparatorClass()

    - #### setSolverRankingComparatorClass

          public void setSolverRankingComparatorClass​(Class<? extends Comparator<SolverBenchmarkResult>> solverRankingComparatorClass)

    - #### getSolverRankingWeightFactoryClass

          public Class<? extends SolverRankingWeightFactory> getSolverRankingWeightFactoryClass()

    - #### setSolverRankingWeightFactoryClass

          public void setSolverRankingWeightFactoryClass​(Class<? extends SolverRankingWeightFactory> solverRankingWeightFactoryClass)

    - #### buildBenchmarkReport

          public BenchmarkReport buildBenchmarkReport​(PlannerBenchmarkResult plannerBenchmark)

    - #### determineLocale

          public Locale determineLocale()

    - #### supplySolverRanking

          protected void supplySolverRanking​(BenchmarkReport benchmarkReport)

    - #### inherit

          public BenchmarkReportConfig inherit​(BenchmarkReportConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<BenchmarkReportConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public BenchmarkReportConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<BenchmarkReportConfig>`
      Returns:
        new instance